<?php
require_once('configNonauth.inc'); 
require_once(CORE_PATH . 'langHeader.inc'); 
require_once(LIB_PATH . 'Page.inc'); 
require_once(LIB_PATH . 'HtmlElements.inc'); 
require_once(CORE_PATH . 'common.inc'); 
require_once(CORE_PATH . 'browser.inc'); 
$x_7x = kerio("webiface::PhpNonAuth"); 
$x_33 = new x_4n(); 
header("X-Kerio-Filter: translate-webiface=" . $x_33->x_8f()); 
$x_ob = ''; 
$x_oc = 0; 
$x_2 = ''; 
$x_od = array(); 
$x_1m = $_GET['ID']; 
$x_9y = urldecode($_GET['dest']); 
$x_7x->decodeUrl($_GET["dest"], $x_2); 
$x_7x->denyRule($_GET["ID"], $x_ob, $x_oc); 
$x_7x->decodeCategoryBitset($_GET["DBL"], $x_od); 
$x_53 = Array(); 
$x_53['url'] = x_54($x_2, 150); 
$x_53['dest'] = $x_9y; 
$x_53['id'] = $x_1m; 
$x_53['unlockEnabled'] = $x_oc; 
$x_53['reason'] = trim(nl2br(x_4d($x_ob))); 
$x_53['categories'] = $x_od; 
$x_1w = x_52('deny', $x_6, $x_53); 
$x_v = new x_w('<kerio:text id="lang_access_denied"/>'); 
$x_v->x_a($x_a); 
$x_v->x_1o($x_1w); 
$x_v->x_y(); 
?>
